Skip to main content
POST
/
v2
/
notifications
/
config
/
get
Get Config
curl --request POST \
  --url https://api.velt.dev/v2/notifications/config/get \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentIds": [
      "<string>"
    ],
    "userId": "<string>",
    "getOrganizationConfig": true
  }
}
'
{
    "result": {
        "status": "success",
        "message": "User config fetched successfully.",
        "data": [
            {
                "config": {
                    "inbox": "ALL",
                    "email": "ALL"
                },
                "metadata": {
                    "organizationId": "org1",
                    "apiKey": "API_KEY",
                    "documentId": "doc1",
                    "userId": "USER_ID1"
                }
            }
        ]
    }
}

Documentation Index

Fetch the complete documentation index at: https://docs.velt.dev/llms.txt

Use this file to discover all available pages before exploring further.

To use this API, you must have the this feature enabled in Velt console
Use this API to get the notifications config for users.

Endpoint

POST https://api.velt.dev/v2/notifications/config/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

{
    "data": {
        "organizationId": "org1",
        "documentIds": ["doc1"],
        "userId":"USER_ID1"
    }
}

Response

Success Response

{
    "result": {
        "status": "success",
        "message": "User config fetched successfully.",
        "data": [
            {
                "config": {
                    "inbox": "ALL",
                    "email": "ALL"
                },
                "metadata": {
                    "organizationId": "org1",
                    "apiKey": "API_KEY",
                    "documentId": "doc1",
                    "userId": "USER_ID1"
                }
            }
        ]
    }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
    "result": {
        "status": "success",
        "message": "User config fetched successfully.",
        "data": [
            {
                "config": {
                    "inbox": "ALL",
                    "email": "ALL"
                },
                "metadata": {
                    "organizationId": "org1",
                    "apiKey": "API_KEY",
                    "documentId": "doc1",
                    "userId": "USER_ID1"
                }
            }
        ]
    }
}